EnderDash

Send Message

POST
/chat/sendMessage

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
body*string
Lengthlength <= 4000
channelId*string
Formatuuid
clientMutationId*string
Formatuuid
queuedMemberId?string
Formatuuid
mentionMemberIds?array<>
Itemsitems <= 20
Default[]
references?array<>
Itemsitems <= 10
Default[]
threadRootId?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/chat/sendMessage" \  -H "Content-Type: application/json" \  -d '{    "body": "string",    "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",    "clientMutationId": "57656295-28fa-4d81-b7a6-5c863cdd0b0c"  }'
null